# Generated from pg-stats-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pg-stats

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Database Statistics for Postgres
License: MIT
URL: https://github.com/pg-stats/pg-stats
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/executables -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/pg-stats-table-indexes-size
%{_bindir}/pg-stats-total-index-size
%{_bindir}/pg-stats-records-rank
%{_bindir}/pg-stats-locks
%{_bindir}/pg-stats-index-usage
%{_bindir}/pg-stats-seq-scans
%{_bindir}/pg-stats-total-table-size
%{_bindir}/pg-stats-bloat
%{_bindir}/pg-stats-index-size
%{_bindir}/pg-stats-blocking-queries
%{_bindir}/pg-stats-unused-indexes
%{_bindir}/pg-stats-long-running-queries
%{_bindir}/pg-stats-extensions
%{_bindir}/pg-stats-statements-reset
%{_bindir}/pg-stats-outliers
%{_bindir}/pg-stats-vacuum
%{_bindir}/pg-stats-table-size
%{_bindir}/pg-stats-slow-statements
%{_bindir}/pg-stats-cache-hit-rate
%{gem_instdir}/executables
%{gem_instdir}/queries
%{gem_instdir}/scripts
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.1-1
- Initial package
